#ifndef QUESTIONBODY_H
#define QUESTIONBODY_H

#include <QWidget>
#include "json/json.h"
#include "CBaseWidget.h"

namespace Ui {
class questionBody;
}

class questionBody : public CBaseWidget
{
    Q_OBJECT

public:
    explicit questionBody(const Json::Value jBody, QWidget *parent = nullptr);
    ~questionBody();

    void setQuesionNo(const QString sItemNo);
    int setUI(const int nWidth, const int nNum);
    int widgetType();
private:
    bool IsNumber(const QString sText);
    Ui::questionBody *ui;
    
    Json::Value m_jBody;
};

#endif // QUESTIONBODY_H
